# Interface IDeferredDbSaver

interface IDeferredDbSaver {
enqueueIpfsContent: ((content) => void);
enqueueLinks: ((links) => void);
}

#### Implemented by

- default

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:78

#####
Index

### Properties

enqueueIpfsContent
enqueueLinks

## Properties

### enqueueIpfsContent

enqueueIpfsContent: ((content) => void)

#### Type declaration

- - (content): void

  - #### Parameters

    - content: IPFSContent

    #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:80

### enqueueLinks

enqueueLinks: ((links) => void)

#### Type declaration

- - (links): void

  - #### Parameters

    - links: LinkDbEntity[]

    #### Returns void

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/types.ts:81